# $Revision: 1.16 $, $Date: 2012/02/16 16:38:37 $
Summary:	Example compositing manager for X servers supporting the Composite extension
Summary(pl.UTF-8):	Przykładowy zarządca składania dla serwerów X z rozszerzeniem Composite
Name:		xorg-app-xcompmgr
Version:	1.1.6
Release:	1
Epoch:		1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xcompmgr-%{version}.tar.bz2
# Source0-md5:	d45afaf2a153e8a5dd93a92955060c9a
URL:		http://freedesktop.org/Software/xapps
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-util-util-macros >= 1.3
Obsoletes:	xcompmgr
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xcompmgr is a sample compositing manager for X servers supporting the
XFIXES, DAMAGE, RENDER, and COMPOSITE extensions.  It enables basic
eye-candy effects.

%description -l pl.UTF-8
xcompmgr to przykładowy zarządca składania dla serwerów X
obsługujących rozszerzenia XFIXES, DAMAGE, RENDER i Composite. Włącza
podstawowe miłe dla oka efekty.

Zarządca opcji dla rozszerzenia composite.

%prep
%setup -q -n xcompmgr-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} 

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xcompmgr
%{_mandir}/man1/xcompmgr.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xcompmgr.spec,v $
Revision 1.16  2012/02/16 16:38:37  qboosh
- updated to 1.1.6

Revision 1.15  2009/11/05 23:34:52  qboosh
- updated to 1.1.5

Revision 1.14  2008/08/25 22:22:40  qboosh
- Obsoletes: xcompmgr

Revision 1.13  2008/03/06 22:16:54  arekm
- up to 1.1.4

Revision 1.12  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.10  2006/02/16 01:01:02  wolf
- rel 2

Revision 1.9  2005/10/21 05:51:25  qboosh
- non-versioned library deps are generated automatically

Revision 1.8  2005/10/21 01:03:14  jpc
- update to modular dependencies

Revision 1.7  2005/05/01 10:32:46  qboosh
- updated Source URL

Revision 1.6  2004/11/07 18:28:46  qboosh
- updated to 1.1.1

Revision 1.5  2004/10/27 22:18:17  wrobell
- ver. 1.1

Revision 1.4  2004/09/15 20:29:14  qboosh
- restored Group and proper mandir

Revision 1.3  2004/09/15 20:01:44  qboosh
- restored proper License (MIT X11-style called just MIT)
- missing ac,am BRs, use DESTDIR-style install

Revision 1.2  2004/09/15 12:46:47  djurban
- updated, redesigned the spec

Revision 1.1  2004/03/07 14:23:33  adgor
- Return to old spec names
- Prefix /usr/X11R6 (it's X Window v 11 r 6 implementation and i don't see
  any reason to keep it in other localization)
- Splitting Xserver tp subpackages

Revision 1.11  2004/03/04 18:44:00  adgor
- Updated to 040304 snap
- Adapted to the new reality

 Revision 1.10  2004/01/11 00:27:18  eothane
- proper ep09 address

Revision 1.9  2003/11/28 01:25:00  adgor
- Prefix changed to /opt/Xserver
- Fixed summaries/descs
- Fixed R/BR
- Added %%doc files

Revision 1.8  2003/11/27 13:37:28  adgor
- Fixed R/BR

Revision 1.7  2003/11/27 00:03:21  adgor
- Updated to 031126
- Added %%doc

Revision 1.6  2003/11/26 01:20:59  adgor
- Simplifications; cosmetics

Revision 1.5  2003/11/25 16:54:53  adgor
- Grr.. it's not WM

Revision 1.4  2003/11/25 16:42:53  adgor
- Changed group, desc.
- Fixed %%build/%%install
- Added Req.
- Updated rpath.patch

Revision 1.3  2003/11/24 14:49:36  adgor
- Added rpath.patch, fixed BR
